Foxit PDF SDK

Public Member Functions | Public Attributes | List of all members
FSDK.AuditSpaceSize Class Reference

## Public Member Functions
| constructor ()
| Constructor.

## Public Attributes
| acroforms
| Total size of AcroForm data in bytes. More...
| bookmarks
| Total size of bookmark data in bytes. More...
| color_space
| Total size of color space definitions in bytes. More...
| comments_and_3d_contents
| Total size of comments and 3D contents in bytes. More...
| content_streams
| Total size of all page content streams in bytes. More...
| cross_ref_tables
| Total size of the cross-reference table in bytes. More...
| embed_files
| Total size of embedded file streams in bytes. More...
| extend_graphics_states
| Total size of extended graphics states in bytes. More...
| fonts
| Total size of embedded fonts in bytes. More...
| images
| Total size of embedded images in bytes. More...
| link_annots
| Total size of link annotations in bytes. More...
| named_destnations
| Total size of named destinations in bytes. More...
| pattern_infos
| Total size of pattern objects in bytes. More...
| piece_infos
| Total size of piece information in bytes. More...
| shading_pattern_infos
| Total size of shading pattern information in bytes. More...
| structure_infos
| Total size of structural information in bytes. More...
| thumbs
| Total size of page thumbnails in bytes. More...
| web_infos
| Total size of web-related metadata in bytes. More...
| x_object_forms
| Total size of XObject Forms in bytes. More...

## Member Data Documentation

## ◆ acroforms

FSDK.AuditSpaceSize.acroforms

Total size of AcroForm data in bytes.

AcroForms define interactive form fields in PDF documents.

## ◆ bookmarks

FSDK.AuditSpaceSize.bookmarks

Total size of bookmark data in bytes.

Bookmarks (or outlines) help navigate a PDF document's content hierarchy.

## ◆ color_space

FSDK.AuditSpaceSize.color_space

Total size of color space definitions in bytes.

Includes all color space objects like ICC profiles, CalRGB, DeviceN, etc.

## ◆ comments_and_3d_contents

FSDK.AuditSpaceSize.comments_and_3d_contents

Total size of comments and 3D contents in bytes.

Includes PDF comments and embedded 3D object data, such as U3D or PRC models.

## ◆ content_streams

FSDK.AuditSpaceSize.content_streams

Total size of all page content streams in bytes.

Content streams include the actual PDF instructions for rendering page content.

## ◆ cross_ref_tables

FSDK.AuditSpaceSize.cross_ref_tables

Total size of the cross-reference table in bytes.

The cross-reference table maps object numbers to byte offsets in the PDF file.

## ◆ embed_files

FSDK.AuditSpaceSize.embed_files

Total size of embedded file streams in bytes.

Embedded files include attachments such as spreadsheets, text files, or other documents.

## ◆ extend_graphics_states

FSDK.AuditSpaceSize.extend_graphics_states

Total size of extended graphics states in bytes.

Extended graphics states control rendering properties like transparency, blend modes, and line styles.

## ◆ fonts

FSDK.AuditSpaceSize.fonts

Total size of embedded fonts in bytes.

Includes both fully and partially embedded font programs.

## ◆ images

FSDK.AuditSpaceSize.images

Total size of embedded images in bytes.

Includes all raster images used across the document.

## ◆ link_annots

FSDK.AuditSpaceSize.link_annots

Total size of link annotations in bytes.

Includes all hyperlink and navigation annotations within the document.

## ◆ named_destnations

FSDK.AuditSpaceSize.named_destnations

Total size of named destinations in bytes.

Named destinations are predefined navigation targets used by links and outlines.

## ◆ pattern_infos

FSDK.AuditSpaceSize.pattern_infos

Total size of pattern objects in bytes.

Includes tiling and shading patterns used for fills and strokes.

## ◆ piece_infos

FSDK.AuditSpaceSize.piece_infos

Total size of piece information in bytes.

PieceInfo is used by some workflows to store private application data.

## ◆ shading_pattern_infos

FSDK.AuditSpaceSize.shading_pattern_infos

Total size of shading pattern information in bytes.

Covers all shading patterns used for gradient fills.

## ◆ structure_infos

FSDK.AuditSpaceSize.structure_infos

Total size of structural information in bytes.

Structural information includes tagged PDF structures used for accessibility and reflow.

## ◆ thumbs

FSDK.AuditSpaceSize.thumbs

Total size of page thumbnails in bytes.

Thumbnails are small preview images associated with pages.

## ◆ web_infos

FSDK.AuditSpaceSize.web_infos

Total size of web-related metadata in bytes.

Web info may include additional metadata used for web viewing or cataloging.

## ◆ x_object_forms

FSDK.AuditSpaceSize.x_object_forms

Total size of XObject Forms in bytes.

XObject Forms are reusable content streams that can be drawn multiple times.